Dialog.ModalExclusionType (Java Platform SE 8 )
Keywords: java.awt.Dialog.ModalExclusionType class
Date: 2017-07-29

java.awt

## Enum Dialog.ModalExclusionType

- java.lang.Object
- - java.lang.Enum<Dialog.ModalExclusionType>
  - - java.awt.Dialog.ModalExclusionType

- All Implemented Interfaces:
    Serializable, Comparable<Dialog.ModalExclusionType>
  Enclosing class:
    Dialog

      public static enum Dialog.ModalExclusionType
      extends Enum<Dialog.ModalExclusionType>

  Any top-level window can be marked not to be blocked by modal dialogs. This is called "modal exclusion". This enum specifies the possible modal exclusion types.
  Since:
    1.6
  See Also:
    `Window.getModalExclusionType()`, `Window.setModalExclusionType(java.awt.Dialog.ModalExclusionType)`, `Toolkit.isModalExclusionTypeSupported(java.awt.Dialog.ModalExclusionType)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION_EXCLUDE` `APPLICATION_EXCLUDE` indicates that a top-level window won't be blocked by any application-modal dialogs.
    `NO_EXCLUDE` No modal exclusion.
    `TOOLKIT_EXCLUDE` `TOOLKIT_EXCLUDE` indicates that a top-level window won't be blocked by application-modal or toolkit-modal dialogs.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dialog.ModalExclusionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Dialog.ModalExclusionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_EXCLUDE

          public static final Dialog.ModalExclusionType NO_EXCLUDE

      No modal exclusion.

    - #### APPLICATION_EXCLUDE

          public static final Dialog.ModalExclusionType APPLICATION_EXCLUDE

      `APPLICATION_EXCLUDE` indicates that a top-level window won't be blocked by any application-modal dialogs. Also, it isn't blocked by document-modal dialogs from outside of its child hierarchy.

    - #### TOOLKIT_EXCLUDE

          public static final Dialog.ModalExclusionType TOOLKIT_EXCLUDE

      `TOOLKIT_EXCLUDE` indicates that a top-level window won't be blocked by application-modal or toolkit-modal dialogs. Also, it isn't blocked by document-modal dialogs from outside of its child hierarchy. The "toolkitModality" `AWTPermission` must be granted for this exclusion. If an exclusion property is being changed to `TOOLKIT_EXCLUDE` and this permission is not granted, a `SecurityEcxeption` will be thrown, and the exclusion property will be left unchanged.

  - ### Method Detail

    - #### values

          public static Dialog.ModalExclusionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Dialog.ModalExclusionType c : Dialog.ModalExclusionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Dialog.ModalExclusionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.